细分

创建网站细分或群组

POST/api/websites/{websiteId}/segments

为网站保存带名称的细分或群组及其类型和筛选参数。

Headers

NameTypeDescription
AuthorizationrequiredstringAuthentication credentials, e.g. Bearer <token>.

Path parameters

NameTypeDescription
websiteIdrequiredstringID of the website.

Request body

NameTypeDescription
namerequiredstringDisplay name of the resource.
parametersrequiredobjectConfiguration parameters for the resource.
typerequiredenum<string>
Options: segment, cohort
Example request

Responses

200The operation completed successfully.
NameTypeDescription
createdAtrequiredstringDate and time the record was created.
idrequiredstringUnique identifier of the resource.
namerequiredstringDisplay name of the resource.
parametersrequiredanyOfConfiguration parameters for the resource.
typerequiredstring
updatedAtrequiredstringDate and time the record was last updated.
websiteIdrequiredstringID of the website.
200 example
400Bad request.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
400 example
401Unauthorized.
NameTypeDescription
errorrequiredobjectError details returned when the operation fails.
401 example

Code samples

cURL